using System;
using Hiperscan.PdfLib;
using Hiperscan.Unix;

namespace Hiperscan.ApoIdentCore.Reporting.Protocol.TestCertificate
{
    public class CommonTestCertificate : IDraw
    {
        public bool Draw(PdfArgs args)
        {
            args.Layout.Feed(args.ReferenceParagraphFeed * 1.1);
            args.Layout.SetFont(PdfFontTypes.HELVETICA_OBLIQUE, args.ReferenceFontSize, PdfColors.Black);

            args.Layout.XPosition = args.ReferenceTabIndent;
            if (args.Layout.AddParagraph(Catalog.GetString("> Attach test certificate here or on the following page <")) == false)
                return false;

            args.Layout.Feed(40);
            return true;
        }
    }
}
